Package com.dropbox.core.v2.team
Class TeamFolderUpdateSyncSettingsBuilder
java.lang.Object
com.dropbox.core.v2.team.TeamFolderUpdateSyncSettingsBuilder
The request builder returned by
DbxTeamTeamRequests.teamFolderUpdateSyncSettingsBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withContentSyncSettings(List<ContentSyncSettingArg> contentSyncSettings) Set value for optional field.withSyncSetting(SyncSettingArg syncSetting) Set value for optional field.
-
Method Details
-
withSyncSetting
Set value for optional field.- Parameters:
syncSetting- Sync setting to apply to the team folder itself. Only meaningful if the team folder is not a shared team root.- Returns:
- this builder
-
withContentSyncSettings
public TeamFolderUpdateSyncSettingsBuilder withContentSyncSettings(List<ContentSyncSettingArg> contentSyncSettings) Set value for optional field.- Parameters:
contentSyncSettings- Sync settings to apply to contents of this team folder. Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.
-